apiVersion: config.dropapp.ru/v1alpha1
kind: DropAppUpgradeConfiguration
metadata:
  name: "da-cluster"
spec:
  artifacts:
    # Реестр образов, куда были загружены образы в разделе "Подготовка артефактов DropApp"
    imageRegistry:
      host: registry.da-cluster.domain.ru
      path: dapp
      # Если реестр без аутентификации - поле можно удалить
      credentials: <credentials> # Токен аутентификации в base64 для Harbor, в приведенном примере это echo -n 'admin:Harbor12345' | base64 | base64
      certificate: <certificate> # Сертификат реестра. Если реестр имеет доверенный сертификат - поле можно удалить
 
    # Репозиторий, куда были загружены rpm пакеты в разделе "Подготовка артефактов DropApp"
    rpmRepository:
      - name: "dapp-<version>"
        baseUrl: http://my-rpm-repo.com/dapp-<version>
        gpgCheck: 1
        enabled: 1
        gpgKey: "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-SberLinux"
